EDIT - feature request #7791

Visualize the phycobank higher taxon graph
09/25/2018 12:31 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour

Target version:

Severity: normal

Description
Visualization as a layered graph which allows to explore the graph interactively

Current concept:

e potentially suitable js-libraries:
o http:/js.cytoscape.org
o https://github.com/dagrejs/dagre-d3/wiki
o https://stackoverflow.com/questions/7034/graph-visualization-library-in-javascript#2366237 : more libs
o http:/visjs.org ?
¢ integrate into vaadin as custom component or reuse an existing GWT component:
https://stackoverflow.com/questions/11284116/how-to-add-d3-javascript-to-a-vaadin-application#36444320

TODO:

e The TaxonGraphController must not expose Names associated with Registrations where the status is not PUBLISHED

The taxonGraph page is available at: http://api.cybertaxonomy.org/taxonGraph/

Related issues:
Related to PhycoBank - task #6173: Concept for a useful algae registry taxon ... Closed

Associated revisions

Revision 0962e21b - 10/02/2018 07:06 PM - Andreas Kohlbecker

ref #7791 TaxonGraphService and TaxonGraphController implemented

Revision 5e403d42 - 10/04/2018 02:48 PM - Andreas Kohlbecker
ref #7791 using name.titleCache as title for TaxonGraphNodeDTO

Revision 3406fef9 - 10/05/2018 02:40 PM - Andreas Kohlbecker

initial version of the taxonGraph visualization using cytoscape.js with dagre v0.6.4

Revision 9bdd2739 - 10/05/2018 02:46 PM - Andreas Kohlbecker
ref #7791 TaxonGraphNodeDTO with rank labels

Revision 91e05af0 - 10/05/2018 03:23 PM - Andreas Kohlbecker

ref #7791 TaxonGraphDao supressing Names associated with Registrations where the status is not PUBLISHED

Revision 3005915 - 10/08/2018 12:29 PM - Andreas Kohlbecker

ref #7791 display of the chosen datasource

Revision d54ba758 - 10/08/2018 12:34 PM - Andreas Kohlbecker

ref #7791 using edit-test as datasource and adding more test data

Revision 3b82f2c7 - 10/17/2018 12:39 PM - Andreas Kohlbecker
ref #7791 adding CORS headers to TaxonGraphService method
Revision aec3c7b7 - 10/22/2018 05:06 PM - Andreas Kohlbecker
ref #7791 adding rank order index to TaxonGraphNodeDTO

History

#1 - 09/25/2018 02:09 PM - Andreas Kohlbecker
- Description updated

#2 - 09/25/2018 02:35 PM - Andreas Kohlbecker
- Description updated

#3 - 09/25/2018 02:35 PM - Andreas Kohlbecker
- Description updated

#4 - 09/25/2018 02:38 PM - Andreas Kohlbecker
- Description updated

#5 - 09/28/2018 08:32 AM - Andreas Kohlbecker

- Related to task #6173: Concept for a useful algae registry taxon classification added

#6 - 10/02/2018 07:08 PM - Andreas Kohlbecker
- Description updated

#7 - 10/05/2018 02:14 PM - Andreas Kohlbecker
- Description updated

#8 - 10/22/2018 08:55 AM - Andreas Kohlbecker
- Description updated

- Status changed from New to Resolved

#9 - 07/16/2019 12:48 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Target version deleted (Unassigned CDM tickets)

No improvements are needed by now
